package it.unibo.tw0708.client;

import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserTO;
import it.unibo.tw0708.web.dao.mysql.MySqlUserDAO;

import java.util.Collection;

public class InitMySQL {

	public static void main(String[] args) {
		MySqlUserDAO uDAO = (MySqlUserDAO) DAOFactory.getDAOFactory(DAOFactory.MYSQL).getUserDAO();
		Collection<UserTO> users = uDAO.getUsers(); 
		if ( users.size() == 0 ) {
			System.out.print("Trying to create user's table.... ");
			System.out.print("" + uDAO.createTable() );
			System.out.println();
			UserTO u1 = new UserTO();
			u1.setName("Mario");
			u1.setSurname("Rossi");
			u1.setAddress("viale del tramonto 1, Bologna");
			u1.setMatriculation((long)123456789);
			u1.setNick("SuXmario");
			u1.setPassword("xxx".getBytes());
			uDAO.insertUser(u1);
			UserTO u2 = new UserTO();
			u2.setName("Paolo");
			u2.setSurname("Bianchi");
			u2.setAddress("via col vento 2, Bologna");
			u2.setMatriculation((long)123456789+1);
			u2.setNick("pablito");
			u2.setPassword("yyy".getBytes());
			uDAO.insertUser(u2);
		}
		System.out.println("---------------------------");
		users = uDAO.getUsers();
		for ( UserTO user : users ) {
			System.out.println(user.toString());
		}
		System.out.println("---------------------------");
	}

}
