package it.unibo.tw0708.web.beans;

import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserDAO;
import it.unibo.tw0708.web.dao.UserTO;
import it.unibo.tw0708.web.utils.Utilities;

import java.util.Collection;

public class Manager {

	public Collection<UserTO> getUsers() {
		return
			DAOFactory
				.getDAOFactory(DAOFactory.HSQLDB)
					.getUserDAO()
						.getUsers();
	}

	private UserTO userTO = new UserTO();
	public UserTO getUser() {
		return userTO;
	}
	public void setUser(UserTO user) {
		this.userTO = user;
	}

	public String addUser() {
		// merge properties of the session-scoped jsf bean of type user 
		// with properties of the user transfer object handled by the manager
		User userBean = (User) Utilities.getManagedBean("user");
		this.userTO.setNick(userBean.getName());
		this.userTO.setPassword(userBean.getPasswordAsBytes());
		// get a data access object for reacihng the database
		UserDAO userDAO = DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getUserDAO();
		// verify user existence
		UserTO existing_userTO = userDAO.findUser(this.userTO.getNick()); 
		if ( existing_userTO == null ) {
			int id = userDAO.insertUser(this.userTO);
			this.userTO.setId(id);
		}
		else {
			this.userTO.setId(existing_userTO.getId());
			boolean success = userDAO.updateUser(this.userTO);
			if ( ! success ) {
				this.userTO = null;
			}
		}
		return null;
	}
}
