package it.unibo.tw0708.web.dao.hsqldb;

import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserDAO;
import it.unibo.tw0708.web.utils.Logger;

import java.sql.Connection;
import java.sql.DriverManager;

public class HsqldbDAOFactory 
extends DAOFactory {

	public static final String DRIVER = "org.hsqldb.jdbcDriver";
	public static final String DBURL = "jdbc:hsqldb:hsql://localhost/usersdb";

	// --------------------------------------------

	public HsqldbDAOFactory() {
		try {
			Class.forName(DRIVER);
		} 
		catch (Exception e) {
			Logger.err(HsqldbDAOFactory.class,null,"failed to load HSQLDB JDBC driver",e);
			return;
		}
	}

	// --------------------------------------------
	
	public static Connection createConnection() {
		try {
			return DriverManager.getConnection(DBURL);
		} 
		catch (Exception e) {
			Logger.err(HsqldbDAOFactory.class,"createConnection","failed creating connection",e);
			return null;
		}
	}
	
	public static void closeConnection(Connection conn) {
		try {
			conn.close();
		}
		catch (Exception e) {
			Logger.err(HsqldbDAOFactory.class,"closeConnection","failed closing connection",e);
		}
	}

	// --------------------------------------------
	
	@Override
	public UserDAO getUserDAO() {
		return new HsqldbUserDAO();
	}

	/*
	@Override
	public OtherDataDAO getOtherDataDAO() {
		// TODO Auto-generated method stub
		return null;
	}
	*/

}
