package it.unibo.tw0708.web.dao.mysql;

import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserDAO;
import it.unibo.tw0708.web.utils.Logger;

import java.sql.Connection;
import java.sql.DriverManager;

public class MySqlDAOFactory 
extends DAOFactory {

	public static final String USERNAME = "webapp";
	public static final String PASSWORD = "webapppwd";
	public static final String DRIVER = "com.mysql.jdbc.Driver";
	public static final String DBURL = "jdbc:mysql://localhost:3306/usersdb";

	// --------------------------------------------

	public MySqlDAOFactory() {
		try {
			Class.forName(DRIVER).newInstance();
		} 
		catch (Exception e) {
			Logger.err(MySqlDAOFactory.class,null,"failed to load MySQL JDBC driver",e);
			return;
		}
	}

	// --------------------------------------------
	
	public static Connection createConnection() {
		try {
			Connection conn = DriverManager.getConnection (DBURL, USERNAME, PASSWORD);
			Logger.out(MySqlDAOFactory.class,"createConnection","database connection established");
			return conn;
		} 
		catch (Exception e) {
			Logger.err(MySqlDAOFactory.class,"createConnection","failed creating connection",e);
			return null;
		}
	}
	
	public static void closeConnection(Connection conn) {
		try {
			conn.close();
		}
		catch (Exception e) {
			Logger.err(MySqlDAOFactory.class,"closeConnection","failed closing connection",e);
		}
	}

	// --------------------------------------------
	
	@Override
	public UserDAO getUserDAO() {
		return new MySqlUserDAO();
	}

	/*
	@Override
	public OtherDataDAO getOtherDataDAO() {
		// TODO Auto-generated method stub
		return null;
	}
	*/

}
