package it.unibo.tw0708.web.utils;

public class Logger {

	public static void out(Class clazz, String method, String message) {
		System.out.println(format(clazz,method,message,null));
	}

	public static void err(Class clazz, String method, String message, Throwable t) {
		System.out.println(format(clazz,method,message,t));
		t.printStackTrace();
	}

	// ----------------------------------------------------
	
	private static String format(Class clazz, String method, String message, Throwable t) {
		String result = "[";
		if ( clazz != null )
			result += clazz.getSimpleName();
		if ( clazz != null && method != null )
			result += ".";
		if ( method != null )
			result += (method + "()");
		if ( method != null && message != null )
			result += ": ";
		if ( message != null ) 
			result += message;
		if ( t != null )
			result = "\n" + t.getMessage() + "\n" + result + "\n";
		return result;
	}

}
