package it.unibo.tw0708.web.utils;

import java.util.Collection;
import java.util.Map;

import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;
import javax.servlet.http.HttpServletRequest;

public class Utilities {

	public static String getCurrentPage() {
		FacesContext fc = FacesContext.getCurrentInstance();
		HttpServletRequest httpRequest = (HttpServletRequest) fc
				.getExternalContext().getRequest();
		return httpRequest.getRequestURI();
	}

	public static Object getManagedBean(String name) {
		FacesContext fc = FacesContext.getCurrentInstance();
		if ( fc == null ) {
			System.out.println("Faces Context Application is null!!!");
		}
		return fc.getApplication().getVariableResolver().resolveVariable(fc,name);
	}

	public static SelectItem[] getSelectItemsFrom(String name) {
		FacesContext fc = FacesContext.getCurrentInstance();
		if ( fc == null ) {
			System.out.println("Faces Context Application is null!!!");
		}
		Object o = fc.getApplication().getVariableResolver().resolveVariable(fc,name);
		SelectItem[] items = new SelectItem[]{};
		if ( o instanceof Map ) {
			Map m = (Map)o;
			items = new SelectItem[m.size()];
			int i = 0;
			for ( Object k : m.keySet() ) {
				items[i] = new SelectItem(k,""+m.get(k));
				i++;
			}
		}
		else if ( o instanceof Collection ) {
			Collection c = (Collection)o;
			items = new SelectItem[c.size()];
			int i = 0;
			for ( Object e : c ) {
				items[i] = new SelectItem(e);
				i++;
			}
		}
		return items;
	}


}