<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
      <head>                  
         <title>A dao and datable JSF page</title>
         <link href="../styles/tablesdao.css" rel="stylesheet" type="text/css"/>
      </head>
      <body>
      
		<h:dataTable 
			var="aUser" 
			value="#{manager.users}"
			
			styleClass="scrollerTable"
			headerClass="standardTable_Header"
			footerClass="standardTable_footer"
			rowClasses="standardTable_ColumnLeft,standardTable_ColumnRight"
		>

		   <h:column>
		       <f:facet name="header">
		       	<h:outputText value="name"/>
		       </f:facet>
		       	<h:outputText value="#{aUser.name}"/>
		       <f:facet name="footer">
		       	<h:outputText value="(the user first name)"/>
		       </f:facet>
		   </h:column>

		   <h:column>
		       <f:facet name="header">
		       	<h:outputText value="surname"/>
		       </f:facet>
		       	<h:outputText value="#{aUser.surname}"/>
		       <f:facet name="footer">
		       	<h:outputText value="(the user last name)"/>
		       </f:facet>
		   </h:column>

		   <h:column>
		       <f:facet name="header">
		       	<h:outputText value="address"/>
		       </f:facet>
		       	<h:outputText value="#{aUser.address}"/>
		       <f:facet name="footer">
		       	<h:outputText value="(where the user lives in)"/>
		       </f:facet>
		   </h:column>

		   <h:column>
		       <f:facet name="header">
		       	<h:outputText value="matriculation"/>
		       </f:facet>
		       	<h:outputText value="#{aUser.matriculation}"/>
		       <f:facet name="footer">
		       	<h:outputText value="(the user identification number)"/>
		       </f:facet>
		   </h:column>

		   <h:column>
		       <f:facet name="header">
		       	<h:outputText value="nick"/>
		       </f:facet>
		       	<h:outputText value="#{aUser.nick}"/>
		       <f:facet name="footer">
		       	<h:outputText value="(the user friendly name)"/>
		       </f:facet>
		   </h:column>

		</h:dataTable>
         
         <h:form>
         	<f:verbatim><br/><br/>Add yourself to the user list</f:verbatim>
			<h:panelGrid
				styleClass="scrollerTable"
				rowClasses="standardTable_Header,standardTable_ColumnLeft"
				columns="4"
			>
				<h:outputLabel value="name"></h:outputLabel>
				<h:outputLabel value="surname"></h:outputLabel>
				<h:outputLabel value="address"></h:outputLabel>
				<h:outputLabel value="matriculation"></h:outputLabel>
	
				<h:inputText value="#{manager.user.name}"/>
				<h:inputText value="#{manager.user.surname}"/>
				<h:inputTextarea value="#{manager.user.address}"/>
				<h:inputText value="#{manager.user.matriculation}"/>

			</h:panelGrid>         

            <p>
               <h:commandButton value="Add yourself to the user list" action="#{manager.addUser}"/>
				<h:commandButton value="go back to the first page" action="home"/>
            </p>

         </h:form>
      </body>
   </f:view>
</html>