<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

<%/*  

this requires a JSF 1.2 implementation library.
JSF 1.2, in turn, requires JSP 2.1 specs support
which is only available on tomcat 6

jsp:root 
	version="2.0"
	xlmns:jsp="http://java.sun.com/JSP/Page"
	xlmns:f="http://java.sun.com/jsf/core" 
	xlmns:h="http://java.sun.com/jsf/html"
*/%>

   <f:view>
      <head>               
         <title>A page that shows and modifies bean values</title>
         <link href="../styles/valueshow.css" rel="stylesheet" type="text/css"/>
      </head>

      <body>
      	<h2>Some input fields</h2>
		<f:verbatim>
			(this is verbatim-text... brought to HTML as is....<br/>
			<pre>some text < </pre>
			some other text < 
			<br/><br/>
		</f:verbatim>

         <h:form>
			<h:panelGrid 
				styleClass="scrollerTable"
				headerClass="standardTable_Header"
				footerClass="standardTable_Header"
				rowClasses="standardTable_Row1,standardTable_Row2"
				columnClasses="standardTable_ColumnLeft,standardTable_ColumnRight"
				columns="2"
			>

				<h:outputLabel value="an integer"/>
				<h:inputText value="#{values.theInteger}"/> 
				
				<h:outputLabel value="a float"/>
				<h:panelGroup>
					<h:inputText value="#{values.theFloat}"/> 
					<h:outputText value="(see the auto-boxing/unboxing between primitive and non primitive types)"/>
				</h:panelGroup>

				<h:outputLabel value="a string"/>
				<h:inputTextarea value="#{values.theString}"/> 

				<h:outputLabel value="a boolean flag"/>
				<h:selectBooleanCheckbox value="#{values.theBoolean}"/> 

               <!-- =============================================================== --> 

				<h:outputLabel value="a multiple selection (to be stored in an array)"/>
				<h:panelGroup>
	               	<h:selectManyListbox value="#{values.theArray}">
	                  	<f:selectItem itemLabel="1" itemValue="ONE"/>
	                  	<f:selectItem itemLabel="2" itemValue="TWO"/>
	                  	<f:selectItem itemLabel="3" itemValue="THREE"/>
	               	</h:selectManyListbox>
					<h:outputText style="color: red;" value="(whose current value is: '#{values.arrayAsList}')"/>
				</h:panelGroup>

				<%/* =============================================================== */%>               
               
				<h:outputLabel value="a single selection from a map"/>
				<h:panelGroup>
                    <h:selectOneMenu value="#{values.theMapSelection}">
                    	<f:selectItems value="#{MapOfNumbers}"/>
                    </h:selectOneMenu> 
					<h:outputText style="color: red;" value="(whose current value is: '#{values.theMapSelection}')"/>
				</h:panelGroup>

				<%/* ============================================================= */%>               
               
				<h:outputLabel value="a single selection from a list"/>
				<h:panelGroup>
                 	<h:selectOneListbox size="3" value="#{values.theListSelection}">
                    	<f:selectItems value="#{values.listItems}"/>
                 	</h:selectOneListbox>
                     <h:outputText style="color: red;" value="(whose current value is: '#{values.theListSelection}')"/>
				</h:panelGroup>

                <h:outputLabel value="a single selection from another list"/>
				<h:panelGroup>
                 	<h:selectOneRadio value="#{values.theRadioSelection}">
                    	<f:selectItem itemLabel="1" itemValue="ONE"/>
                    	<f:selectItem itemLabel="2" itemValue="TWO"/>
                    	<f:selectItem itemLabel="3" itemValue="THREE"/>
                 	</h:selectOneRadio>
                     <h:outputText style="color: red;" value="(whose current value is: '#{values.theRadioSelection}')"/>
 				</h:panelGroup>

				<%/* ============================================================= */%>               
               
                <h:outputText style="color: blue;" value="cell no. 1"/>
                <h:outputText style="color: blue;" value="cell no. 2"/>

                <h:outputText style="color: blue;" value="cell no. 3"/>
                <h:outputText style="color: blue;" value="cell no. 4"/>
				
               <f:verbatim><!-- =============================================================== --></f:verbatim> 
               <h:outputText style="color: blue;" value="cell no. 5"/>

               <f:verbatim escape="true"><!-- =============================================================== --></f:verbatim> 
               <h:outputText style="color: blue;" value="cell no. 6"/>
               
				<%/* ============================================================= */%>               
				
 				<h:panelGroup>
		            <h:commandButton value="go back to the first page" action="home"/>
		            <h:commandButton value="continue to the next page" action="continue"/>
 				</h:panelGroup>
	            <h:commandButton value="modify values" action=""/>

 				<h:panelGroup>
		            <h:commandLink value="go to a non-existing view" action="nowhere"/>
		            <f:verbatim> - </f:verbatim> 
		            <h:commandLink value="go to a non-configured view" action="unconfiguredview"/>
 				</h:panelGroup>

            </h:panelGrid>
         </h:form>

		<h:outputLink value="http://www-lia.deis.unibo.it/Courses/TecnologieWeb0708">
			<h:outputText value="a link to the course web site"/>
		</h:outputLink>

      </body>      

   </f:view>

<%/*
</jsp:root>
*/%>

</html>