<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

   <f:view>
      <head>               
         <f:loadBundle basename="it.unibo.tw0708.locales.Messages" var="msgs"/>
         
         <!-- 
         we refer to title message using the JSP EL syntax 
         because text is outside any JSF component!!!
         -->
         <title>${msgs.title}</title>
         <link href="../styles/welcome.css" rel="stylesheet" type="text/css"/>
      </head>

      <body>

         <h:form>
            <h3>
               <h:outputText value="#{msgs.hello_world}, #{user.name}!"/>
            </h3>
			<!--  
			Actions in this formsetthelocaleoftheview.
			Becausewedo notspecifiedanynavigationrule forthis page, 
			the JSFframework just reloadsthecurrentpageaftertheformissubmitted.
			When thepageisreloaded,itislocalizedforEnglish, Italian or Spanish 
			andthepageredisplaysaccordingly.
			-->
            <table>
               <tr>
                  <td>
                     <h:commandLink immediate="true" 
                        action="#{localeChanger.setLocaleToEnglish}">
                        <h:graphicImage value="/images/britain_flag.gif" 
                           style="border: 2px; width: 35px; height: 22px;"/>
                     </h:commandLink>
                  </td>
                  <td>
                     <h:commandLink immediate="true" 
                        action="#{localeChanger.setLocaleToItalian}">
                        <h:graphicImage value="/images/italy_flag.gif" 
                           style="border: 2px; width: 35px; height: 22px;"/>
                     </h:commandLink>
                  </td>
                  <td>
                     <h:commandLink immediate="true" 
                        action="#{localeChanger.setLocaleToSpanish}">
                        <h:graphicImage value="/images/spain_flag.gif" 
                           style="border: 2px; width: 35px; height: 22px;"/>
                     </h:commandLink>
                  </td>
	            </tr>
			</table>
          
			<!-- ======================================================= -->
              
	      <br/><hr/><br/>

			<table>
               <tr>
                  <td>
                     <h:outputText value="#{msgs.retype_password}"/>
                  </td>
                  <td>
                     <h:inputSecret id="pwd" value="#{loginController.password}" required="true"/>
                  </td>
                  <td>
                  	<!-- 
                  	This is going to appear if user submits form 
                  	without filling in the pwd field: indeed, it is 'required' !
                  	-->
                     <h:message for="pwd" errorClass="errors"/>
                  </td>
				</tr>
            </table>
			<br/>
            <h:commandButton value="#{msgs.continue}" action="#{loginController.verify}"/>
         </h:form>
      </body>      

   </f:view>
</html>